if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cbboard_manager]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[cbboard_manager]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usertable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[usertable]
GO

CREATE TABLE [dbo].[cbboard_manager] (
	[board_no] [int] IDENTITY (1, 1) NOT NULL ,
	[table_name] [varchar] (50) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[category] [tinyint] NOT NULL ,
	[page_size] [tinyint] NOT NULL ,
	[board_width] [smallint] NOT NULL ,
	[option_topimage] [bit] NOT NULL ,
	[option_newmark] [bit] NOT NULL ,
	[option_imagewriter] [bit] NOT NULL ,
	[option_html] [bit] NOT NULL ,
	[option_memo] [bit] NOT NULL ,
	[option_reply] [bit] NOT NULL ,
	[option_notice] [bit] NOT NULL ,
	[option_hit] [bit] NOT NULL ,
	[step_list] [smallint] NOT NULL ,
	[step_write] [smallint] NOT NULL ,
	[step_read] [smallint] NOT NULL ,
	[step_memo] [smallint] NOT NULL ,
	[step_delete] [smallint] NOT NULL ,
	[step_modify] [smallint] NOT NULL ,
	[step_reply] [smallint] NOT NULL ,
	[step_admin] [smallint] NOT NULL ,
	[log_redirect] [varchar] (50) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_list] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_write] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_read] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_memo] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_delete] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_modify] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[message_reply] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[new_article_time] [tinyint] NOT NULL ,
	[new_memo_time] [tinyint] NOT NULL ,
	[image_folder] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[top_image_name] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[include_head] [varchar] (50) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[include_tail] [varchar] (50) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[reg_date] [datetime] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[usertable] (
	[user_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[user_passwd] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[user_step] [tinyint] NOT NULL ,
	[user_name] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[name_no1] [varchar] (6) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[name_no2] [varchar] (7) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[gender] [tinyint] NOT NULL ,
	[post_no] [varchar] (7) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[address1] [varchar] (100) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[address2] [varchar] (100) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[phone1] [varchar] (4) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[phone2] [varchar] (4) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[phone3] [varchar] (4) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[email] [varchar] (100) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[reg_date] [datetime] NOT NULL ,
	[delete_check] [tinyint] NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[cbboard_manager] WITH NOCHECK ADD 
	CONSTRAINT [PK_cbboard_manager] PRIMARY KEY  CLUSTERED 
	(
		[board_no]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[usertable] WITH NOCHECK ADD 
	CONSTRAINT [PK_usertable] PRIMARY KEY  CLUSTERED 
	(
		[user_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[cbboard_manager] WITH NOCHECK ADD 
	CONSTRAINT [DF_cbboard_manager_category] DEFAULT (1) FOR [category],
	CONSTRAINT [DF_cbboard_manager_page_size] DEFAULT (20) FOR [page_size],
	CONSTRAINT [DF_cbboard_manager_board_width] DEFAULT (630) FOR [board_width],
	CONSTRAINT [DF_cbboard_manager_option_topimage] DEFAULT (1) FOR [option_topimage],
	CONSTRAINT [DF_cbboard_manager_option_newmark] DEFAULT (1) FOR [option_newmark],
	CONSTRAINT [DF_cbboard_manager_option_imagewriter] DEFAULT (1) FOR [option_imagewriter],
	CONSTRAINT [DF_cbboard_manager_option_html] DEFAULT (1) FOR [option_html],
	CONSTRAINT [DF_cbboard_manager_option_memo] DEFAULT (1) FOR [option_memo],
	CONSTRAINT [DF_cbboard_manager_option_reply] DEFAULT (1) FOR [option_reply],
	CONSTRAINT [DF_cbboard_manager_option_notice] DEFAULT (1) FOR [option_notice],
	CONSTRAINT [DF_cbboard_manager_option_recommend] DEFAULT (0) FOR [option_hit],
	CONSTRAINT [DF_cbboard_manager_step_list] DEFAULT (4102) FOR [step_list],
	CONSTRAINT [DF_cbboard_manager_step_write] DEFAULT (4100) FOR [step_write],
	CONSTRAINT [DF_cbboard_manager_step_read] DEFAULT (4102) FOR [step_read],
	CONSTRAINT [DF_cbboard_manager_step_memo] DEFAULT (4100) FOR [step_memo],
	CONSTRAINT [DF_cbboard_manager_step_delete] DEFAULT (4100) FOR [step_delete],
	CONSTRAINT [DF_cbboard_manager_step_modify] DEFAULT (4100) FOR [step_modify],
	CONSTRAINT [DF_cbboard_manager_step_reply] DEFAULT (4100) FOR [step_reply],
	CONSTRAINT [DF_cbboard_manager_step_admin] DEFAULT (4096) FOR [step_admin],
	CONSTRAINT [DF_cbboard_manager_log_redirect] DEFAULT ('../account/log/log_form.aspx') FOR [log_redirect],
	CONSTRAINT [DF_cbboard_manager_message_list] DEFAULT ('Ϻ ϴ. ȸ, α ȮϽʽÿ.') FOR [message_list],
	CONSTRAINT [DF_cbboard_manager_message_write] DEFAULT (' ϴ. ȸ, α ȮϽʽÿ.') FOR [message_write],
	CONSTRAINT [DF_cbboard_manager_message_read] DEFAULT ('б ϴ. ȸ, α ȮϽʽÿ.') FOR [message_read],
	CONSTRAINT [DF_cbboard_manager_message_delete1] DEFAULT ('޸ ϴ. ȸ, α ȮϽʽÿ.') FOR [message_memo],
	CONSTRAINT [DF_cbboard_manager_message_delete] DEFAULT (' ϴ. ȸ, α ȮϽʽÿ.') FOR [message_delete],
	CONSTRAINT [DF_cbboard_manager_message_reply1] DEFAULT (' ϴ. ȸ, α ȮϽʽÿ.') FOR [message_modify],
	CONSTRAINT [DF_cbboard_manager_message_reply] DEFAULT ('۱ ϴ. ȸ, α ȮϽʽÿ.') FOR [message_reply],
	CONSTRAINT [DF_cbboard_manager_new_article_time] DEFAULT (24) FOR [new_article_time],
	CONSTRAINT [DF_cbboard_manager_new_memo_time] DEFAULT (24) FOR [new_memo_time],
	CONSTRAINT [DF_cbboard_manager_image_folder] DEFAULT ('../images/') FOR [image_folder],
	CONSTRAINT [DF_cbboard_manager_top_image_name] DEFAULT ('../images/title.gif') FOR [top_image_name],
	CONSTRAINT [DF_cbboard_manager_include_head] DEFAULT ('../include/head.aspx') FOR [include_head],
	CONSTRAINT [DF_cbboard_manager_include_head1] DEFAULT ('../include/tail.aspx') FOR [include_tail],
	CONSTRAINT [DF_cbboard_manager_reg_date] DEFAULT (getdate()) FOR [reg_date]
GO

ALTER TABLE [dbo].[usertable] WITH NOCHECK ADD 
	CONSTRAINT [DF_usertable_step] DEFAULT (1) FOR [user_step],
	CONSTRAINT [DF_usertable_gender] DEFAULT (1) FOR [gender],
	CONSTRAINT [DF_usertable_reg_date] DEFAULT (getdate()) FOR [reg_date],
	CONSTRAINT [DF_usertable_delete_check] DEFAULT (0) FOR [delete_check]
GO


exec sp_addextendedproperty N'MS_Description', N'Խǰȣ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'board_no'
GO
exec sp_addextendedproperty N'MS_Description', N'Խ  ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'board_width'
GO
exec sp_addextendedproperty N'MS_Description', N'Խ (1:ϹݰԽ, 2:ٹ, 3:ڷ, 4:, 5:ǥ)', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'category'
GO
exec sp_addextendedproperty N'MS_Description', N'Խ ׸ڷ ִ ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'image_folder'
GO
exec sp_addextendedproperty N'MS_Description', N' ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'include_head'
GO
exec sp_addextendedproperty N'MS_Description', N' ϴ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'include_tail'
GO
exec sp_addextendedproperty N'MS_Description', N'α ʿҶ redirect Ǵ ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'log_redirect'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_delete'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_list'
GO
exec sp_addextendedproperty N'MS_Description', N'޸ ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_memo'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_modify'
GO
exec sp_addextendedproperty N'MS_Description', N'б ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_read'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_reply'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ  ޼', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'message_write'
GO
exec sp_addextendedproperty N'MS_Description', N'ۿ new ǥ ð', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'new_article_time'
GO
exec sp_addextendedproperty N'MS_Description', N'޸ new ǥ ð', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'new_memo_time'
GO
exec sp_addextendedproperty N'MS_Description', N'õ ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_hit'
GO
exec sp_addextendedproperty N'MS_Description', N'HTML ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_html'
GO
exec sp_addextendedproperty N'MS_Description', N'۾̰ ̹   ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_imagewriter'
GO
exec sp_addextendedproperty N'MS_Description', N'޸ ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_memo'
GO
exec sp_addextendedproperty N'MS_Description', N'new ǥ  ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_newmark'
GO
exec sp_addextendedproperty N'MS_Description', N' ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_notice'
GO
exec sp_addextendedproperty N'MS_Description', N' ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_reply'
GO
exec sp_addextendedproperty N'MS_Description', N'ž̹  ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'option_topimage'
GO
exec sp_addextendedproperty N'MS_Description', N' ۼ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'page_size'
GO
exec sp_addextendedproperty N'MS_Description', N'Խ  ¥', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'reg_date'
GO
exec sp_addextendedproperty N'MS_Description', N' (޸,  ο)', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_admin'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_delete'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_list'
GO
exec sp_addextendedproperty N'MS_Description', N'޸ ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_memo'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_modify'
GO
exec sp_addextendedproperty N'MS_Description', N'б ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_read'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_reply'
GO
exec sp_addextendedproperty N'MS_Description', N' ٱ', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'step_write'
GO
exec sp_addextendedproperty N'MS_Description', N'̺ ̸', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'table_name'
GO
exec sp_addextendedproperty N'MS_Description', N'ž̹ ̸', N'user', N'dbo', N'table', N'cbboard_manager', N'column', N'top_image_name'


GO


exec sp_addextendedproperty N'MS_Description', N'ּ1', N'user', N'dbo', N'table', N'usertable', N'column', N'address1'
GO
exec sp_addextendedproperty N'MS_Description', N'ּ2', N'user', N'dbo', N'table', N'usertable', N'column', N'address2'
GO
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', N'usertable', N'column', N'delete_check'
GO
exec sp_addextendedproperty N'MS_Description', N'̸', N'user', N'dbo', N'table', N'usertable', N'column', N'email'
GO
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', N'usertable', N'column', N'gender'
GO
exec sp_addextendedproperty N'MS_Description', N'ֹεϹȣ1', N'user', N'dbo', N'table', N'usertable', N'column', N'name_no1'
GO
exec sp_addextendedproperty N'MS_Description', N'ֹεϹȣ2', N'user', N'dbo', N'table', N'usertable', N'column', N'name_no2'
GO
exec sp_addextendedproperty N'MS_Description', N'ó1', N'user', N'dbo', N'table', N'usertable', N'column', N'phone1'
GO
exec sp_addextendedproperty N'MS_Description', N'ó2', N'user', N'dbo', N'table', N'usertable', N'column', N'phone2'
GO
exec sp_addextendedproperty N'MS_Description', N'ó3', N'user', N'dbo', N'table', N'usertable', N'column', N'phone3'
GO
exec sp_addextendedproperty N'MS_Description', N'ȣ', N'user', N'dbo', N'table', N'usertable', N'column', N'post_no'
GO
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', N'usertable', N'column', N'reg_date'
GO
exec sp_addextendedproperty N'MS_Description', N' ̵', N'user', N'dbo', N'table', N'usertable', N'column', N'user_id'
GO
exec sp_addextendedproperty N'MS_Description', N' ̸', N'user', N'dbo', N'table', N'usertable', N'column', N'user_name'
GO
exec sp_addextendedproperty N'MS_Description', N' йȣ', N'user', N'dbo', N'table', N'usertable', N'column', N'user_passwd'
GO
exec sp_addextendedproperty N'MS_Description', N' (1:Ϲ,10:)', N'user', N'dbo', N'table', N'usertable', N'column', N'user_step'


GO



if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cbboard_create]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[cbboard_create]
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO










CREATE          proc cbboard_create
@table_name varchar(50),
@category tinyint
as
declare @create_table varchar(3000)
declare @alter_table varchar(3000)

declare @total_board_name varchar(100)
declare @total_memo_name varchar(100)

set @total_board_name = 'cbboard_board_' + @table_name
set @total_memo_name = 'cbboard_memo_' + @table_name



if ( @category = 1)
begin

insert into cbboard_manager(table_name,category) values(@table_name, @category)

set @create_table = 'CREATE TABLE [dbo].[cbboard_board_' + @table_name + '] (
	[code_no] [int] IDENTITY (1, 1) NOT NULL ,
	[group_no] [int] NULL ,
	[order_no] [smallint] NOT NULL ,
	[level_no] [tinyint] NOT NULL ,
	[type_check] [tinyint] NOT NULL ,
	[format_check] [tinyint] NOT NULL ,
	[delete_check] [bit] NOT NULL ,
	[id_check] [bit] NOT NULL ,
	[memo_count] [smallint] NOT NULL ,
	[subject] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[content] [text] COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[hit] [int] NOT NULL ,
	[click] [int] NOT NULL ,
	[reg_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[reg_date] [datetime] NOT NULL ,
	[reg_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY]

CREATE TABLE [dbo].[cbboard_memo_' + @table_name + '] (
	[memo_no] [int] IDENTITY (1, 1) NOT NULL ,
	[code_no] [int] NOT NULL ,
	[delete_check] [bit] NOT NULL ,
	[memo_id_check] [bit] NOT NULL ,
	[memo_comment] [text] COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[memo_reg_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[memo_reg_date] [datetime] NOT NULL ,
	[memo_reg_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY]'


set @alter_table = 'ALTER TABLE [dbo].[cbboard_board_' + @table_name + '] WITH NOCHECK ADD 
	CONSTRAINT [PK_cbboard_board_' + @table_name + '] PRIMARY KEY  CLUSTERED 
	(
		[code_no] DESC 
	)  ON [PRIMARY] 


ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] WITH NOCHECK ADD 
	CONSTRAINT [PK_bboard_memo_' + @table_name + '] PRIMARY KEY  CLUSTERED 
	(
		[memo_no]
	)  ON [PRIMARY] 


ALTER TABLE [dbo].[cbboard_board_' + @table_name + '] ADD 
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_order_no] DEFAULT (1) FOR [order_no],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_level_no] DEFAULT (1) FOR [level_no],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_notice_check] DEFAULT (0) FOR [type_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_format_check1] DEFAULT (0) FOR [format_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_delete_check] DEFAULT (0) FOR [delete_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_id_check] DEFAULT (0) FOR [id_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_memo_count] DEFAULT (0) FOR [memo_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_hit] DEFAULT (0) FOR [hit],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_click] DEFAULT (0) FOR [click],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_reg_date] DEFAULT (getdate()) FOR [reg_date]

 CREATE  INDEX [IX_cbboard_board_' + @table_name + '] ON [dbo].[cbboard_board_' + @table_name + ']([type_check] DESC , [group_no] DESC , [order_no]) ON [PRIMARY]

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] ADD 
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_delete_check] DEFAULT (0) FOR [delete_check],
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_memo_id_check] DEFAULT (0) FOR [memo_id_check],
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_memo_reg_date] DEFAULT (getdate()) FOR [memo_reg_date]

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] ADD 
	CONSTRAINT [FK_cbboard_memo_' + @table_name + '_cbboard_board_' + @table_name + '] FOREIGN KEY 
	(
		[code_no]
	) REFERENCES [dbo].[cbboard_board_' + @table_name + '] (
		[code_no]
	) ON UPDATE CASCADE 

'

exec(@create_table)
exec(@alter_table)

exec sp_addextendedproperty N'MS_Description', N'ȸ', N'user', N'dbo', N'table', @total_board_name, N'column', N'click'
exec sp_addextendedproperty N'MS_Description', N'Խ  ȣ', N'user', N'dbo', N'table', @total_board_name, N'column', N'code_no'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_board_name, N'column', N'content'
exec sp_addextendedproperty N'MS_Description', N'1:', N'user', N'dbo', N'table', @total_board_name, N'column', N'delete_check'
exec sp_addextendedproperty N'MS_Description', N'0:TEXT, 1:HTML, 2:HTML+TEXT', N'user', N'dbo', N'table', @total_board_name, N'column', N'format_check'
exec sp_addextendedproperty N'MS_Description', N'׷ȣ', N'user', N'dbo', N'table', @total_board_name, N'column', N'group_no'
exec sp_addextendedproperty N'MS_Description', N'õ', N'user', N'dbo', N'table', @total_board_name, N'column', N'hit'
exec sp_addextendedproperty N'MS_Description', N'1:۾̹', N'user', N'dbo', N'table', @total_board_name, N'column', N'id_check'
exec sp_addextendedproperty N'MS_Description', N'۴ܰ', N'user', N'dbo', N'table', @total_board_name, N'column', N'level_no'
exec sp_addextendedproperty N'MS_Description', N'޸𰹼', N'user', N'dbo', N'table', @total_board_name, N'column', N'memo_count'
exec sp_addextendedproperty N'MS_Description', N'׷쳻 ȣ', N'user', N'dbo', N'table', @total_board_name, N'column', N'order_no'
exec sp_addextendedproperty N'MS_Description', N'۾¥', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_date'
exec sp_addextendedproperty N'MS_Description', N'۾̵̾', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_id'
exec sp_addextendedproperty N'MS_Description', N'۾ ', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_ip'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_board_name, N'column', N'subject'
exec sp_addextendedproperty N'MS_Description', N'0:Ϲݱ, 1:', N'user', N'dbo', N'table', @total_board_name, N'column', N'type_check'




exec sp_addextendedproperty N'MS_Description', N'޸ ִ ۹ȣ', N'user', N'dbo', N'table', @total_memo_name, N'column', N'code_no'
exec sp_addextendedproperty N'MS_Description', N'1:', N'user', N'dbo', N'table', @total_memo_name, N'column', N'delete_check'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_comment'
exec sp_addextendedproperty N'MS_Description', N'1:۾̹', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_id_check'
exec sp_addextendedproperty N'MS_Description', N'޸ȣ', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_no'
exec sp_addextendedproperty N'MS_Description', N'۾¥', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_date'
exec sp_addextendedproperty N'MS_Description', N'۾̵̾', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_id'
exec sp_addextendedproperty N'MS_Description', N'۾̾', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_ip'


end



if ( @category = 2)
begin

insert into cbboard_manager(table_name,category,page_size) values(@table_name, @category,10)

set @create_table = 'CREATE TABLE [dbo].[cbboard_board_' + @table_name + '] (
	[code_no] [int] IDENTITY (1, 1) NOT NULL ,
	[delete_check] [bit] NOT NULL ,
	[id_check] [bit] NOT NULL ,
	[memo_count] [smallint] NOT NULL ,
	[filename] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[filesize] [int] NOT NULL,
	[subject] [varchar] (200) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[content] [text] COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[hit] [int] NOT NULL ,
	[click] [int] NOT NULL ,
	[reg_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[reg_date] [datetime] NOT NULL ,
	[reg_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY]

CREATE TABLE [dbo].[cbboard_memo_' + @table_name + '] (
	[memo_no] [int] IDENTITY (1, 1) NOT NULL ,
	[code_no] [int] NOT NULL ,
	[delete_check] [bit] NOT NULL ,
	[memo_id_check] [bit] NOT NULL ,
	[memo_comment] [text] COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[memo_reg_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[memo_reg_date] [datetime] NOT NULL ,
	[memo_reg_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY]'

set @alter_table = 'ALTER TABLE [dbo].[cbboard_board_' + @table_name + '] WITH NOCHECK ADD 
	CONSTRAINT [PK_cbboard_board_' + @table_name + '] PRIMARY KEY  CLUSTERED 
	(
		[code_no] DESC 
	)  ON [PRIMARY] 


ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] WITH NOCHECK ADD 
	CONSTRAINT [PK_bboard_memo_' + @table_name + '] PRIMARY KEY  CLUSTERED 
	(
		[memo_no]
	)  ON [PRIMARY] 


ALTER TABLE [dbo].[cbboard_board_' + @table_name + '] ADD 
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_delete_check] DEFAULT (0) FOR [delete_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_id_check] DEFAULT (0) FOR [id_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_memo_count] DEFAULT (0) FOR [memo_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_filesize] DEFAULT (0) FOR [filesize],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_hit] DEFAULT (0) FOR [hit],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_click] DEFAULT (0) FOR [click],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_reg_date] DEFAULT (getdate()) FOR [reg_date]

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] ADD 
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_delete_check] DEFAULT (0) FOR [delete_check],
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_memo_id_check] DEFAULT (0) FOR [memo_id_check],
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_memo_reg_date] DEFAULT (getdate()) FOR [memo_reg_date]

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] ADD 
	CONSTRAINT [FK_cbboard_memo_' + @table_name + '_cbboard_board_' + @table_name + '] FOREIGN KEY 
	(
		[code_no]
	) REFERENCES [dbo].[cbboard_board_' + @table_name + '] (
		[code_no]
	) ON UPDATE CASCADE '

exec(@create_table)
exec(@alter_table)

exec sp_addextendedproperty N'MS_Description', N'ȸ', N'user', N'dbo', N'table', @total_board_name, N'column', N'click'
exec sp_addextendedproperty N'MS_Description', N'Խ  ȣ', N'user', N'dbo', N'table', @total_board_name, N'column', N'code_no'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_board_name, N'column', N'content'
exec sp_addextendedproperty N'MS_Description', N'1:', N'user', N'dbo', N'table', @total_board_name, N'column', N'delete_check'
exec sp_addextendedproperty N'MS_Description', N'õ', N'user', N'dbo', N'table', @total_board_name, N'column', N'hit'
exec sp_addextendedproperty N'MS_Description', N'1:۾̹', N'user', N'dbo', N'table', @total_board_name, N'column', N'id_check'
exec sp_addextendedproperty N'MS_Description', N'޸𰹼', N'user', N'dbo', N'table', @total_board_name, N'column', N'memo_count'
exec sp_addextendedproperty N'MS_Description', N'۾¥', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_date'
exec sp_addextendedproperty N'MS_Description', N'۾̵̾', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_id'
exec sp_addextendedproperty N'MS_Description', N'۾ ', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_ip'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_board_name, N'column', N'subject'




exec sp_addextendedproperty N'MS_Description', N'޸ ִ ۹ȣ', N'user', N'dbo', N'table', @total_memo_name, N'column', N'code_no'
exec sp_addextendedproperty N'MS_Description', N'1:', N'user', N'dbo', N'table', @total_memo_name, N'column', N'delete_check'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_comment'
exec sp_addextendedproperty N'MS_Description', N'1:۾̹', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_id_check'
exec sp_addextendedproperty N'MS_Description', N'޸ȣ', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_no'
exec sp_addextendedproperty N'MS_Description', N'۾¥', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_date'
exec sp_addextendedproperty N'MS_Description', N'۾̵̾', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_id'
exec sp_addextendedproperty N'MS_Description', N'۾̾', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_ip'







end






if ( @category = 5)
begin

insert into cbboard_manager(table_name,category) values(@table_name, @category)

set @create_table = 'CREATE TABLE [dbo].[cbboard_board_' + @table_name + '] (
	[code_no] [int] IDENTITY (1, 1) NOT NULL ,
	[delete_check] [bit] NOT NULL ,
	[id_check] [bit] NOT NULL ,
	[memo_count] [smallint] NOT NULL ,
	[subject] [varchar] (500) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[ex1] [varchar] (500) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[ex2] [varchar] (500) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[ex3] [varchar] (500) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[ex4] [varchar] (500) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[ex5] [varchar] (500) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[ex1_count] [int] NOT NULL ,
	[ex2_count] [int] NOT NULL ,
	[ex3_count] [int] NOT NULL ,
	[ex4_count] [int] NOT NULL ,
	[ex5_count] [int] NOT NULL ,
	[hit] [int] NOT NULL ,
	[click] [int] NOT NULL ,
	[reg_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[reg_date] [datetime] NOT NULL ,
	[reg_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY]

CREATE TABLE [dbo].[cbboard_memo_' + @table_name + '] (
	[memo_no] [int] IDENTITY (1, 1) NOT NULL ,
	[code_no] [int] NOT NULL ,
	[delete_check] [bit] NOT NULL ,
	[memo_id_check] [bit] NOT NULL ,
	[memo_comment] [text] COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[memo_reg_id] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[memo_reg_date] [datetime] NOT NULL ,
	[memo_reg_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]'


set @alter_table = 'ALTER TABLE [dbo].[cbboard_board_' + @table_name + '] WITH NOCHECK ADD 
	CONSTRAINT [PK_cbboard_board_' + @table_name + '] PRIMARY KEY  CLUSTERED 
	(
		[code_no] DESC 
	)  ON [PRIMARY] 

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] WITH NOCHECK ADD 
	CONSTRAINT [PK_cbboard_memo_' + @table_name + '] PRIMARY KEY  CLUSTERED 
	(
		[memo_no]
	)  ON [PRIMARY] 

ALTER TABLE [dbo].[cbboard_board_' + @table_name + '] ADD 
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_delete_check] DEFAULT (0) FOR [delete_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_id_check] DEFAULT (0) FOR [id_check],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_memo_count] DEFAULT (0) FOR [memo_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_ex1_count] DEFAULT (0) FOR [ex1_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_ex2_count] DEFAULT (0) FOR [ex2_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_ex3_count] DEFAULT (0) FOR [ex3_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_ex4_count] DEFAULT (0) FOR [ex4_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_ex5_count] DEFAULT (0) FOR [ex5_count],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_hit] DEFAULT (0) FOR [hit],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_click] DEFAULT (0) FOR [click],
	CONSTRAINT [DF_cbboard_board_' + @table_name + '_reg_date] DEFAULT (getdate()) FOR [reg_date]

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] ADD 
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_delete_check] DEFAULT (0) FOR [delete_check],
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_memo_id_check] DEFAULT (0) FOR [memo_id_check],
	CONSTRAINT [DF_cbboard_memo_' + @table_name + '_memo_reg_date] DEFAULT (getdate()) FOR [memo_reg_date]

ALTER TABLE [dbo].[cbboard_memo_' + @table_name + '] ADD 
	CONSTRAINT [FK_cbboard_memo_' + @table_name + '_cbboard_board_' + @table_name + '] FOREIGN KEY 
	(
		[code_no]
	) REFERENCES [dbo].[cbboard_board_' + @table_name + '] (
		[code_no]
	) ON UPDATE CASCADE'


exec(@create_table)
exec(@alter_table)


exec sp_addextendedproperty N'MS_Description', N'ȸ', N'user', N'dbo', N'table', @total_board_name, N'column', N'click'
exec sp_addextendedproperty N'MS_Description', N'Խ  ȣ', N'user', N'dbo', N'table', @total_board_name, N'column', N'code_no'
exec sp_addextendedproperty N'MS_Description', N'1:', N'user', N'dbo', N'table', @total_board_name, N'column', N'delete_check'
exec sp_addextendedproperty N'MS_Description', N'1', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex1'
exec sp_addextendedproperty N'MS_Description', N'ǥ1', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex1_count'
exec sp_addextendedproperty N'MS_Description', N'2', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex2'
exec sp_addextendedproperty N'MS_Description', N'ǥ2', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex2_count'
exec sp_addextendedproperty N'MS_Description', N'3', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex3'
exec sp_addextendedproperty N'MS_Description', N'ǥ3', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex3_count'
exec sp_addextendedproperty N'MS_Description', N'4', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex4'
exec sp_addextendedproperty N'MS_Description', N'ǥ4', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex4_count'
exec sp_addextendedproperty N'MS_Description', N'5', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex5'
exec sp_addextendedproperty N'MS_Description', N'ǥ5', N'user', N'dbo', N'table', @total_board_name, N'column', N'ex5_count'
exec sp_addextendedproperty N'MS_Description', N'üǥ', N'user', N'dbo', N'table', @total_board_name, N'column', N'hit'
exec sp_addextendedproperty N'MS_Description', N'1:۾̹', N'user', N'dbo', N'table', @total_board_name, N'column', N'id_check'
exec sp_addextendedproperty N'MS_Description', N'޸𰹼', N'user', N'dbo', N'table', @total_board_name, N'column', N'memo_count'
exec sp_addextendedproperty N'MS_Description', N'۾¥', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_date'
exec sp_addextendedproperty N'MS_Description', N'۾̵̾', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_id'
exec sp_addextendedproperty N'MS_Description', N'۾ ', N'user', N'dbo', N'table', @total_board_name, N'column', N'reg_ip'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_board_name, N'column', N'subject'




exec sp_addextendedproperty N'MS_Description', N'޸ ִ ۹ȣ', N'user', N'dbo', N'table', @total_memo_name, N'column', N'code_no'
exec sp_addextendedproperty N'MS_Description', N'1:', N'user', N'dbo', N'table', @total_memo_name, N'column', N'delete_check'
exec sp_addextendedproperty N'MS_Description', N'', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_comment'
exec sp_addextendedproperty N'MS_Description', N'1:۾̹', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_id_check'
exec sp_addextendedproperty N'MS_Description', N'޸ȣ', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_no'
exec sp_addextendedproperty N'MS_Description', N'۾¥', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_date'
exec sp_addextendedproperty N'MS_Description', N'۾̵̾', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_id'
exec sp_addextendedproperty N'MS_Description', N'۾̾', N'user', N'dbo', N'table', @total_memo_name, N'column', N'memo_reg_ip'


end





GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


















insert into usertable(user_id, user_passwd, user_step, user_name, name_no1, name_no2, gender, post_no, address1, address2, phone1, phone2, phone3, email)
values('','!@#$',11,'','800718','0000000',1,'000-000','뱸','ϱ','011','0000','0000','louve@hanmail.net')
